module.exports = {
    /**
     *  指示渲染模式:
     *      single : 仅渲染一条(自己的上一条,即将超越);
     *      list : 渲染完整的列表, 如果选择滚动模式,则滚动渲染所有,否则仅渲染最大高度的数据.
     *      relative : 渲染与自己数据相关的若干条数据.即向前/向后各渲染有限条数据.
     */
    mode: "single",

    /**
     * 单条item 尺寸信息.注: single 模式下不生效,将以显示容器的尺寸为准.
     * 由UI设计师设计并标注. 开发者只需按标注填写相应位置及尺寸即可.
     */
    item: {
        width: 150,     // item 宽度, 可以省略, 省略时使用显示容器的宽度
        height: 250,    // item 高度. 横向布局时可省略,省略时使用显示容器的高度.
        layout: {       // item 的布局信息. 每一个key 对应待显示数据的字段. 如 nickname 表示要绑定的排行数据的字段名为nickname.
            avatar: {   // 头像.
                bound: [15, 0, 120, 120],
                type: "image",
                scaleType: "centerInside"
            },
            score: {
                bound: [0, 120, 150, 50],
                type: "text",
                textAlign: "center|middle",
                textColor: "#fff",
                textSize: 35,
                style: "shrink",
                format: function (v, item) {
                    return (v || 0) + " 分"
                }
            },
            forth: {
                bound: [0, 170, 150, 50],
                type: "text",
                textAlign: "center|middle",
                textColor: "#ff1100",
                textSize: 20,
                style: "shrink",
                format: function (v, item) {
                    return "即将超越:" + item.nickname;
                }
            }
        }
    },
}